Bug 816805 - RFE: As a translator, I want to push translations using python client to Zanata so that I can do offline translation
RFE: As a translator, I want to push translations using python client to Zana...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: zanata-python-client (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Ni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 23:57 EDT by Joyce Chang
Modified: 2012-07-22 23:47 EDT (History)
7 users (show)

See Also:
Fixed In Version: python client version: 1.3.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 736898
Environment:
Last Closed: 2012-07-22 23:47:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-04-26 23:57:12 EDT
+++ This bug was initially created as a clone of Bug #736898 +++

This is related to bug 725319 and bug 736898 , but uses python client

The zanata push command has two problems when used for offline translation:
1. only allowed to admin or project maintainers, not translators
2. the client pushes source text (POT files), not just translations (PO)

(Plus a lot of translators will prefer a UI, but that's a separate issue.)

We can fix #1 by changing the security rules on the server, to allow 'translator' role to push translations (but not source).

We can fix #2 by adding another option to the Maven/Python clients, eg --push-trans-only

--- Additional comment from dchen@redhat.com on 2011-09-08 23:38:04 EDT ---

So the use case will be:

Admin/project maintainer:
1. Push pot files only
2. Push pot files and po files.
3. Push po files only.

Translator:
1. Push po files only.
Comment 1 Joyce Chang 2012-05-30 22:08:55 EDT
this has been implemented and tested that translator push translation correctly.

verified Zanata version 1.6.0-beta-2-SNAPSHOT (20120531-0020).

Note You need to log in before you can comment on or make changes to this bug.